## primrose 6%2Bdfsg1

=== debian/changelog ===
primrose (6+dfsg1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:40 +0100

primrose (6+dfsg1-4) unstable; urgency=medium

  * Fix build reproducibility issues due to use of imagemagick (Closes: #778481)

 -- Paul Wise <pabs@debian.org>  Tue, 01 Aug 2017 10:33:16 -0400

primrose (6+dfsg1-3) unstable; urgency=low

  * Wrap and sort various files
  * Switch to debhelper compat 9
  * Fix and use canonical Vcs-* URLs
  * Fix dpkg-buildflags use, add more hardening
  * Bump Standards-Version
  * Add some keywords to the freedesktop menu file

 -- Paul Wise <pabs@debian.org>  Sun, 07 Jul 2013 15:15:52 +0800

primrose (6+dfsg1-2) unstable; urgency=low

  * Switch to dpkg-source v3
  * Clean up patch headers
  * Add missing build-dep on OpenGL headers
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Improve situation with icons
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Thu, 10 Feb 2011 17:31:18 +0800

primrose (6+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Fix default permissions in the settings patch
  * Some improvements to the get-orig-source target
  * Drop the use of dh_desktop since it was replaced by a trigger

 -- Paul Wise <pabs@debian.org>  Sun, 17 May 2009 18:45:59 +0800

primrose (5+dfsg1-1) unstable; urgency=low

  [ Paul Wise ]
  * Initial release (Closes: #522753)

  [ Christoph Egger ]
  * Search for date in /usr/share

 -- Paul Wise <pabs@debian.org>  Mon, 06 Apr 2009 19:26:56 +0800
