=== debian/control ===
Source: primrose
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 imagemagick,
 libsdl1.2-dev,
 libgl1-mesa-dev | libgl-dev
Standards-Version: 3.9.1
Homepage: http://primrose.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/primrose/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/primrose/?op=log

Package: primrose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compelling tile-placement puzzle game
 Primrose is a puzzle game by Jason Rohrer and a departure from his
 previous games.
 .
 Primrose is an exploration into deep gameplay in single-player games. It
 is a tile clearing and placement game with chain reactions and without
 gravity or timing elements. The audio is limited to minimal but dynamic
 sound effects that change with game events and progress. It was designed
 as a casual but engaging and intelligent game for mobile phones.
 .
 The player places pairs of coloured tiles on a 7x7 grid. Tiles are
 cleared by surrounding one colour group with another colour group,
 scoring points. The cleared tiles change the colour of the surrounding
 colour group, allowing for chain reactions that give more points. More
 colours are added as more tiles have been placed on the grid and
 eventually the game will end when the grid fills up.
 .
 Primrose features a networked high score board with instant replay of
 the high scores, a comprehensive tutorial with animated examples, a
 colourblind mode, glowing, pulsating, retro graphics and synth-inspired
 sound effects.
