=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export PNGRBT=-define png:exclude-chunk=time
-export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
-
 %:
-	dh $@ --parallel
+	dh --parallel $@
 
 override_dh_auto_configure:
 	chmod u+x tilePlacementGames/game1/configure
@@ -13,12 +9,12 @@
 
 override_dh_auto_build:
 	mkdir -p 256x256 128x128 64x64 32x32
-	convert -scale 256x256 tilePlacementGames/game1/gameSource/iPhone/largeIcon2.png $(PNGRBTD) 256x256/primrose.png 
+	convert -scale 256x256 tilePlacementGames/game1/gameSource/iPhone/largeIcon2.png 256x256/primrose.png 
 	cp -f tilePlacementGames/game1/build/macOSX/iconColor.png 128x128/primrose.png
-	convert -background None -gravity center -extent 64x64 tilePlacementGames/game1/gameSource/iPhone/icon.png $(PNGRBTD) 64x64/primrose.png
+	convert -background None -gravity center -extent 64x64 tilePlacementGames/game1/gameSource/iPhone/icon.png 64x64/primrose.png
 	cp -f tilePlacementGames/game1/build/win32/icon.png 32x32/primrose.png
 	convert 32x32/primrose.png 32x32/primrose.xpm
-	$(MAKE) -C tilePlacementGames/game1/gameSource PLATFORM_LINK_FLAGS="-lGL -lSDL -lpthread $(LDFLAGS)" PLATFORM_COMPILE_FLAGS="$(CXXFLAGS) $(CPPFLAGS) -DETCDIR=\\\"/etc/primrose\\\" -DDATADIR=\\\"/usr/share/games/primrose/\\\""
+	$(MAKE) -C tilePlacementGames/game1/gameSource PLATFORM_LINK_FLAGS="-lGL -lSDL -lpthread" PLATFORM_COMPILE_FLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/primrose\\\" -DDATADIR=\\\"/usr/share/games/primrose/\\\""
 
 override_dh_auto_clean:
 	[ ! -f tilePlacementGames/game1/gameSource/Makefile ] || $(MAKE) -C tilePlacementGames/game1/gameSource clean
